<?php
defined('C5_EXECUTE') or die("Access Denied.");
$th = Core::make('helper/text');
$c = Page::getCurrentPage();
$ih = Core::make("helper/image");
$counter = 0;
$lineBreakThree = 3;
$lineBreakTwo = 2;

?>

<div class="ccm-block-page-list-wrapper achillea-blog-threecol">
  <?php if ($pageListTitle): ?>
  <div class="ccm-block-page-list-header">
    <div class="row">
      <div class="col-md-12">
        <h2><?php echo $pageListTitle?></h2>
      </div>
    </div>
  </div>
  <?php endif; ?>
  <?php if ($rssUrl): ?>
  <div class="row">
    <div class="col-md-12"> <a href="<?php echo $rssUrl ?>" target="_blank" class="ccm-block-page-list-rss-feed"><i class="fa fa-rss"></i>&nbsp;<?php echo t('Subscribe to RSS Feed')?></a> <br />
    </div>
  </div>
  <?php endif; ?>
  <div class="row achillea-blog-list achillea-blog-list-grid">
    <?php foreach ($pages as $page):

		$title = $th->entities($page->getCollectionName());
		$url = $nh->getLinkToCollection($page);
		$target = ($page->getCollectionPointerExternalLink() != '' && $page->openCollectionPointerExternalLinkInNewWindow()) ? '_blank' : $page->getAttribute('nav_target');
		$target = empty($target) ? '_self' : $target;
		$thumbnail = $page->getAttribute('achillea_thumbnail');
        $hoverLinkText = $title;
        $description = $page->getCollectionDescription();
        $description = $controller->truncateSummaries ? $th->wordSafeShortText($description, $controller->truncateChars) : $description;
        $description = $th->entities($description);
		$date = date('F j, Y', strtotime($page->getCollectionDatePublic()));
        if ($useButtonForLink) {
            $hoverLinkText = $buttonLinkText;
        }

	if(($counter !=0 and $counter % $lineBreakTwo === 0))
	{
		echo '<div class="clearfix visible-sm-block visible-md-block"></div>';
	}

	if(($counter !=0 and $counter % $lineBreakThree === 0))
		{
			echo '<div class="clearfix visible-lg-block"></div>';
	}
?>
    <div class="col-xs-12 col-sm-6 col-lg-4 achillea-blog-listitem">
      <?php if (is_object($thumbnail)): ?>
      <div class="achillea-blog-thumb">
        <?php
                $img = Core::make('html/image', array($thumbnail));
                $tag = $img->getTag();
                $tag->addClass('img-responsive achillea-blog-img img-achillea-thumb');
                print $tag;
                ?>
        <div class="achillea-blog-thumb-description"> <a href="<?php echo $url ?>" target="<?php echo $target ?>" class="blog-thumb-icon-link">
          <?php  echo t('Read more'); ?>
          <i class="fa fa-chevron-right"></i> </a> </div>
        <!-- /achillea-blog-thumb-description --> 
      </div>
      <!-- /.achillea-blog-thumb -->
      <?php endif; ?>
      <div class="achillea-blog-grid-body">
        <h3 class="achillea-blog-thumb-heading"> <a href="<?php  echo $url ?>" target="<?php  echo $target ?>">
          <?php  echo $title ?>
          </a> </h3>
        <?php if ($includeDescription): ?>
        <p class="achillea-blog-description"> <?php echo $description ?> </p>
        <p><a href="<?php  echo $url ?>" target="<?php  echo $target ?>" class="blog-read-more">
          <?php  echo t('Read more'); ?>
          <i class="fa fa-chevron-right"></i></a></p>
        <?php endif; ?>
        <div class="achillea-blog-date-area">
          <p class="achillea-blog-details"> <span class="achillea-blog-author">
            <?php  echo t('Posted by')?>
            <?php  echo $c->getVersionObject()->getVersionAuthorUserName(); ?>
            </span>
            <?php if ($includeDate): ?>
            <span class="achillea-blog-date">&nbsp;&#124;&nbsp;
            <?php 
			  $collectionDate = strtotime($c->getCollectionDatePublic());
    $date = date("F j, Y", $collectionDate); 
	echo $date;
			?>
            </span> </p>
          <?php endif; ?>
        </div>
      </div>
      <!-- /.achillea-blog-grid-body --> 
    </div>
    <?php
    	$counter = $counter + 1;
?>
    <?php endforeach; ?>
    <div class="clearfix"></div>
  </div>
  <?php if (count($pages) == 0): ?>
  <div class="ccm-block-page-list-no-pages"><?php echo $noResultsMessage?></div>
  <?php endif;?>
</div>
<?php if ($showPagination): ?>
<?php echo $pagination;?>
<?php endif; ?>
<?php if ( $c->isEditMode() && $controller->isBlockEmpty()): ?>
<div class="ccm-edit-mode-disabled-item"><?php echo t('Empty Page List Block.')?></div>
<?php endif; ?>