<?php
defined('C5_EXECUTE') or die("Access Denied.");
$th = Core::make('helper/text');
$c = Page::getCurrentPage();
$ih = Core::make("helper/image");
$counter = 0;
$lineBreakThree = 3;
$lineBreakTwo = 2;

?>

<div class="ccm-block-page-list-wrapper achillea-portfolio-masonry">
  <?php if ($pageListTitle): ?>
  <div class="ccm-block-page-list-header">
    <h5><?php echo $pageListTitle?></h5>
  </div>
  <?php endif; ?>
  <?php if ($rssUrl): ?>
  <div class="row">
    <div class="col-md-12"> <a href="<?php echo $rssUrl ?>" target="_blank" class="ccm-block-page-list-rss-feed"><i class="fa fa-rss"></i>&nbsp;<?php echo t('Subscribe to RSS Feed')?></a> <br />
    </div>
  </div>
  <?php endif; ?>
  <div class="row achillea-portfolio-list achillea-portfolio-list-masonry">
    <div class="masonry">
      <?php foreach ($pages as $page):

		$title = $th->entities($page->getCollectionName());
		$url = $nh->getLinkToCollection($page);
		$target = ($page->getCollectionPointerExternalLink() != '' && $page->openCollectionPointerExternalLinkInNewWindow()) ? '_blank' : $page->getAttribute('nav_target');
		$target = empty($target) ? '_self' : $target;
		$thumbnail = $page->getAttribute('achillea_thumbnail');
        $hoverLinkText = $title;
        $description = $page->getCollectionDescription();
        $description = $controller->truncateSummaries ? $th->wordSafeShortText($description, $controller->truncateChars) : $description;
        $description = $th->entities($description);
        if ($useButtonForLink) {
            $hoverLinkText = $buttonLinkText;
        }

	if(($counter !=0 and $counter % $lineBreakTwo === 0))
	{
		echo '<div class="clearfix visible-sm"></div>';
	}

	if(($counter !=0 and $counter % $lineBreakThree === 0))
		{
			echo '<div class="clearfix visible-md visible-lg"></div>';
	}
?>
      <div class="post-box col-xs-12 col-sm-6 col-md-4 achillea-portfolio-listitem">
        <div class="achillea-portfolio-item second">
          <div class="achillea-portfolio-item-wrapper">
            <?php if (is_object($thumbnail)): ?>
            <div class="achillea-portfolio-item-image"> <a href="<?php echo $url ?>" target="<?php echo $target ?>">
              <?php
                $img = Core::make('html/image', array($thumbnail));
                $tag = $img->getTag();
                $tag->addClass('img-responsive img-achillea-thumb');
                print $tag;
                ?>
              </a> <a href="<?php echo $url ?>" target="<?php echo $target ?>">
              <div class="achillea-portfolio-item-description">
                <?php if ($includeDescription):
             echo $description;			
             endif; ?>
                  <i class="fa fa-chevron-right"></i> </div>
              </a> </div>
            <div class="achillea-portfolio-item-title">
              <?php  echo $title ?>
            </div>
			<?php endif; ?>
          </div>
        </div>
      </div>
      <!-- /.achillea-portfolio-listitem-->
      
      <?php
    	$counter = $counter + 1;
?>
      <?php endforeach; ?>
      <div class="clearfix"></div>
      <?php if (count($pages) == 0): ?>
      <div class="ccm-block-page-list-no-pages"><?php echo $noResultsMessage?></div>
      <?php endif;?>
    </div>
  </div>
  <?php if ($showPagination): ?>
  <?php echo $pagination;?>
  <?php endif; ?>
  <?php if ( $c->isEditMode() && $controller->isBlockEmpty()): ?>
  <div class="ccm-edit-mode-disabled-item"><?php echo t('Empty Page List Block.')?></div>
  <?php endif; ?>
</div>