<?php 
namespace Concrete\Package\Achillea\Theme\Achillea;
use Concrete\Core\Page\Theme\Theme;

class PageTheme extends Theme {

	public function registerAssets() {
       	$this->requireAsset('javascript', 'jquery');
		$this->providesAsset('css', 'font-awesome');
        $this->providesAsset('javascript', 'bootstrap/*');
		$this->providesAsset('css', 'bootstrap/*');
		$this->providesAsset('javascript', 'backstretch');
		$this->providesAsset('javascript', 'retinajs');
	}

   	protected $pThemeGridFrameworkHandle = 'bootstrap3';
	
	public function getThemeBlockClasses()
    {
        return array(

            'image' => array(
                'achillea-fade',
				'center-block',
				'img-full-width',
				'img-achillea-shadow',
                'img-circle',
                'img-circle center-block'
            ),
			'horizontal_rule' => array(
                'achillea-hr-bold',
				'achillea-hr-full-width',
				'achillea-hr-full-width-bold',
				'achillea-hr-accent-colour',
				'achillea-hr-accent-colour-bold',
				'achillea-hr-accent-colour-full-width',
				'achillea-hr-accent-colour-full-width-bold'
            ),
			'*' => array(
                'block-background-color-1',
                'block-background-color-2'
            )
        );
    }	
	public function getThemeDefaultBlockTemplates()
	{
    	return array(
        'autonav' => 'achillea_top_menu'
    	);
	}	
	
	public function getThemeEditorClasses()
	{
    return array(
        array('title' => t('Achillea Button Extra-Large'), 'menuClass' => '', 'spanClass' => 'btn btn-achillea btn-xlg'),
		array('title' => t('Achillea Button Large'), 'menuClass' => '', 'spanClass' => 'btn btn-achillea btn-lg'),
		array('title' => t('Achillea Button Default'), 'menuClass' => '', 'spanClass' => 'btn btn-achillea btn-default'),
        array('title' => t('Achillea Button Small'), 'menuClass' => '', 'spanClass' => 'btn btn-achillea btn-sm'),
		array('title' => t('Achillea Button Extra-small'), 'menuClass' => '', 'spanClass' => 'btn btn-achillea btn-xs'),
		array('title' => t('Transparent Button Extra-Large'), 'menuClass' => '', 'spanClass' => 'btn btn-achillea-transparent btn-xlg'),
		array('title' => t('Transparent Button Large'), 'menuClass' => '', 'spanClass' => 'btn btn-achillea-transparent btn-lg'),
		array('title' => t('Transparent Button Default'), 'menuClass' => '', 'spanClass' => 'btn btn-achillea-transparent btn-default'),
        array('title' => t('Transparent Button Small'), 'menuClass' => '', 'spanClass' => 'btn btn-achillea-transparent btn-sm'),
		array('title' => t('Transparent Button Extra-small'), 'menuClass' => '', 'spanClass' => 'btn btn-achillea-transparent btn-xs'),
		array('title' => t('Light Transparent Button Extra-Large'), 'menuClass' => '', 'spanClass' => 'btn btn-achillea-light-transparent btn-xlg'),
		array('title' => t('Light Transparent Button Large'), 'menuClass' => '', 'spanClass' => 'btn btn-achillea-light-transparent btn-lg'),
		array('title' => t('Light Transparent Button Default'), 'menuClass' => '', 'spanClass' => 'btn btn-achillea-light-transparent btn-default'),
        array('title' => t('Light Transparent Button Small'), 'menuClass' => '', 'spanClass' => 'btn btn-achillea-light-transparent btn-sm'),
		array('title' => t('Light Transparent Button Extra-small'), 'menuClass' => '', 'spanClass' => 'btn btn-achillea-light-transparent btn-xs'),
		array('title' => t('Dark Transparent Button Extra-Large'), 'menuClass' => '', 'spanClass' => 'btn btn-achillea-dark-transparent btn-xlg'),
		array('title' => t('Dark Transparent Button Large'), 'menuClass' => '', 'spanClass' => 'btn btn-achillea-dark-transparent btn-lg'),
		array('title' => t('Dark Transparent Button Default'), 'menuClass' => '', 'spanClass' => 'btn btn-achillea-dark-transparent btn-default'),
        array('title' => t('Dark Transparent Button Small'), 'menuClass' => '', 'spanClass' => 'btn btn-achillea-dark-transparent btn-sm'),
		array('title' => t('Dark Transparent Button Extra-small'), 'menuClass' => '', 'spanClass' => 'btn btn-achillea-dark-transparent btn-xs'),
		array('title' => t('Banner caption'), 'menuClass' => '', 'spanClass' => 'achillea-banner-caption'),
		array('title' => t('Handwritten Text'), 'menuClass' => '', 'spanClass' => 'achillea-handwritten-font'),
		array('title' => t('White Text'), 'menuClass' => '', 'spanClass' => 'achillea-white'),
		array('title' => t('Text Shadow'), 'menuClass' => '', 'spanClass' => 'achillea-text-shadow'),
		array('title' => t('White Text with Shadow'), 'menuClass' => '', 'spanClass' => 'achillea-white-text-shadow'),
		array('title' => t('Background Colour 1'), 'menuClass' => '', 'spanClass' => 'background-color-1'),
		array('title' => t('Background Colour 2'), 'menuClass' => '', 'spanClass' => 'background-color-2')				
    );
} 
}